#ifndef POLYGUN_RENDERER_SHADER_HPP
#define POLYGUN_RENDERER_SHADER_HPP

#include <string>

namespace polygun::renderer {
	class Shader {
	public:
		Shader() = default;
		virtual ~Shader(){}

		// Note: name is name of shader i.e. for example 'chunk' and not
		// filename i.e. 'shaders/gl/chunk_fragment.glsl'
		virtual bool load_from_file(const std::string& name) = 0;
	};
}

#endif // POLYGUN_RENDERER_SHADER_HPP
